Name:		pinentry
Version:	1.1.1
Release:	%mkrel 1
Summary:	Collection of simple PIN or passphrase entry dialogs
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://www.gnupg.org/
Source0:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig
Source2:	pinentry-wrapper
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libcap)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	gettext-devel
BuildRequires:	libassuan-devel
BuildRequires:	libgpg-error-devel >= 1.16
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	pkgconfig(gcr-base-3)

%description
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

%files
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%{_bindir}/pinentry
%{_bindir}/pinentry-curses
%{_bindir}/pinentry-tty
%{_infodir}/*.info*

#-----------------------------------------------------------------------------------------

%package	gnome3
Summary:	GTK+ interface of pinentry
Group:		System/Kernel and hardware
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description	gnome3
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides GNOME 3 interface of the dialog.

%files		gnome3
%{_bindir}/pinentry-gnome3

#-----------------------------------------------------------------------------------------

%package	emacs
Summary:	GTK+ interface of pinentry
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}

%description	emacs
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides Emacs interface of the dialog.

%files		emacs
%{_bindir}/pinentry-emacs

#-----------------------------------------------------------------------------------------

%package	gtk2
Summary:	GTK+ interface of pinentry
Group:		System/Kernel and hardware
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{name}-gtk

%description	gtk2
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides GTK+ interface of the dialog.

%files		gtk2
%{_bindir}/pinentry-gtk-2

#-----------------------------------------------------------------------------------------

%package	qt5
Summary:	QT5 interface of pinentry
Group:		System/Kernel and hardware
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{name}-qt < 0.7.6-3
Obsoletes:	%{name}-qt4 < 1.0.0

%description	qt5
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides QT5 interface of the dialog.

%files		qt5
%{_bindir}/pinentry-qt*

#-----------------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
# autogen.sh does not replace the bundled automake files even with --force
autoreconf -vfi

#to find moc
export PATH=$PATH:%{_qt5_bindir}

%configure \
	--enable-pinentry-qt5 \
	--enable-pinentry-gtk2 \
	--enable-pinentry-gnome3 \
	--enable-libsecret \
	--enable-pinentry-emacs \
	--enable-pinentry-curses \
	--enable-fallback-curses \
        --enable-pinentry-tty \
        --disable-rpath
%make_build

%install
%make_install

install -p -m755 -D %{SOURCE2} %{buildroot}%{_bindir}/pinentry

ln -s pinentry-qt %{buildroot}%{_bindir}/pinentry-qt5



%changelog
* Fri Jan 22 2021 daviddavid <daviddavid> 1.1.1-1.mga8
+ Revision: 1672878
- new version: 1.1.1

* Thu Dec 17 2020 umeabot <umeabot> 1.1.0-7.mga8
+ Revision: 1659385
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.1.0-6.mga8
+ Revision: 1524855
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Apr 01 2019 umeabot <umeabot> 1.1.0-5.mga7
+ Revision: 1383950
- Qt5 Rebuild
+ wally <wally>
- build with ncursesw

* Mon Nov 26 2018 tv <tv> 1.1.0-4.mga7
+ Revision: 1335261
- do not recommends pinentry-gui (mga#23894)

* Mon Sep 03 2018 tv <tv> 1.1.0-3.mga7
+ Revision: 1256573
- remove unused deps on info-install

* Fri Jun 15 2018 wally <wally> 1.1.0-2.mga7
+ Revision: 1237121
- drop unneeded update-alternatives %%pre scriplets
- drop unneeded CXXFLAGS export

* Sat Jan 06 2018 daviddavid <daviddavid> 1.1.0-1.mga7
+ Revision: 1190658
- new version: 1.1.0

* Tue Jan 17 2017 wally <wally> 1.0.0-2.mga6
+ Revision: 1082136
- properly detect Qt5 on build time

* Sun Dec 18 2016 neoclust <neoclust> 1.0.0-1.mga6
+ Revision: 1075959
- Enable qt5 binding

* Thu Nov 03 2016 eatdirt <eatdirt> 0.9.7-2.mga6
+ Revision: 1064876
- Compile tty and curses-fallback (mga#19673)

* Wed Dec 23 2015 daviddavid <daviddavid> 0.9.7-1.mga6
+ Revision: 913737
- new version: 0.9.7

* Sun Oct 25 2015 daviddavid <daviddavid> 0.9.6-1.mga6
+ Revision: 895339
- new version: 0.9.6

* Sun Oct 25 2015 daviddavid <daviddavid> 0.9.5-4.mga6
+ Revision: 895325
- compile C++ code with -std=gnu++11

* Wed Aug 19 2015 ovitters <ovitters> 0.9.5-3.mga6
+ Revision: 865818
- sync pinentry-wrapper with opensuse

* Tue Aug 18 2015 ovitters <ovitters> 0.9.5-2.mga6
+ Revision: 865761
- emacs subpackage is not a gui

* Tue Aug 18 2015 ovitters <ovitters> 0.9.5-1.mga6
+ Revision: 865755
- add gnome3,emacs subpackages
- new version 0.9.5

* Sun Jun 21 2015 luigiwalser <luigiwalser> 0.9.4-1.mga6
+ Revision: 837396
- add libsecret BR
- remove patch 0 (fixed upstream)
- rediff patch 1
- 0.9.4

* Wed Oct 15 2014 umeabot <umeabot> 0.8.3-4.mga5
+ Revision: 745536
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.3-3.mga5
+ Revision: 687598
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 0.8.3-2.mga4
+ Revision: 530251
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 luigiwalser <luigiwalser> 0.8.3-1.mga4
+ Revision: 456724
- 0.8.3

* Sun Jan 13 2013 umeabot <umeabot> 0.8.2-3.mga3
+ Revision: 377744
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 cjw <cjw> 0.8.2-2.mga3
+ Revision: 343963
- patch1: fix build with automake 1.13
+ fedya <fedya>
- rpmlint fix

* Fri Aug 17 2012 fedya <fedya> 0.8.2-1.mga3
+ Revision: 281790
- version update 0.8.2

* Sun Aug 21 2011 dmorgan <dmorgan> 0.8.1-3.mga2
+ Revision: 134797
- Add kubuntu patch to fix display of pinentry-qt4

* Sat Jan 15 2011 mikala <mikala> 0.8.1-2.mga1
+ Revision: 18655
- Remove BuildRoot
- imported package pinentry

